Redmine - Defect #41895

Spent time CSV report returning "hours’ as Rational instead of Float
2024-11-29 09:15 - Thomas Stollorcz

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version: 6.0.2

Resolution: Fixed Affected version: 6.0.1
Description

Same issues as in Defect #41819 only for CSV report, the patch does not help.
Before Redmine 6, the hours field returned data in double (float) format, like 0,25. Currently, Redmine 6 returns this field in weird
fraction format 9/1 (as 9 hours).

CSV report from Redmine 5.1.1

Date;Author; Hours; Issue; Comment

24.11.2024;User Name;1,5;Servicerequest #1364: Issue #1;""
23.11.2024;User Name;0,75;Servicerequest #1415: Issue #2;""
23.11.2024;User Name;0,5;Servicerequest #1416: Issue #3;""
22.11.2024;User Name;4,25;Servicerequest #1415: Issue #2;""

CSV report from Redmine 6.0.1

Date;Author;Hours; Issue; Comment

24.11.2024;User Name;3/2;Servicerequest #1364: Issue #1;""
23.11.2024;User Name;3/4;Servicerequest #1415: Issue #2;""
23.11.2024;User Name;1/2;Servicerequest #1416: Issue #3;""
22.11.2024;User Name;17/4;Servicerequest #1415: Issue #2;""

Related issues:
Related to Redmine - Defect #40914: Fix precision issues in TimeEntry#hours c... Closed

Associated revisions

Revision 23351 - 2024-12-04 02:58 - Go MAEDA
Fix: Spent time CSV report returning “hours’ as Rational instead of Float (#41895).

Patch by Go MAEDA (user:maeda).

Revision 23357 - 2024-12-08 06:01 - Go MAEDA
Merged r23351 from trunk to 6.0-stable (#41895).

History

#1 - 2024-11-29 09:44 - Marius BALTEANU
- Assignee set to Marius BALTEANU

- Target version set to 6.0.2

#2 - 2024-12-01 07:22 - Go MAEDA
- File 41895.patch added

The attached patch fixes this issue.

#3 - 2024-12-01 07:23 - Go MAEDA

- Related to Defect #40914: Fix precision issues in TimeEntry#hours calculation by returning Rational instead of Float added
#4 - 2024-12-03 09:05 - Katsuya HIDAKA

I've tested the patch (41895.patch) on the latest Redmine master and confirmed the following:

e The patch resolves the reported issue
e No similar issues occur in related features, including:
o Atom and CSV exports of Spent time Details
o CSV export of Spent time Report
o Issues list (screen display, CSV, PDF, and Atom exports)
o Time tracking summary for versions

| think this patch works well.

#5 - 2024-12-04 02:59 - Go MAEDA
- Status changed from New to Resolved
- Assignee changed from Marius BALTEANU to Go MAEDA

- Resolution set to Fixed
Committed the fix in r23351.

#6 - 2024-12-08 06:01 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23357.

Files
41895.patch 1.29 KB 2024-12-01 Go MAEDA
2025-04-13 2/2


https://www.redmine.org/projects/redmine/repository/svn/revisions/23351
https://www.redmine.org/projects/redmine/repository/svn/revisions/23357
http://www.tcpdf.org

